
Redmine - Defect #5099

When deleting a project with children, the database seems to become corrupted

2010-03-17 06:27 - Kioma Aldecoa

Status: Closed Start date: 2010-03-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.9.1

Description

After I deleted a project that contained children, issues of the projects of the affected rows showed up in the wrong project.  I

examined the database, and the lft and rgt columns of the project table in the database seemed to become corrupted.  For some

projects, the rgt value became less than the lft value.  I was only able to fix this by manually editing the lft and rgt columns of the

projects table.

Suggest making this a very high priority to fix if it is not already fixed -- this bug has the potential to show issues in the wrong

project, which is a real security concern for those of us counting on redmine to keep issues contained in the correct projects.

Observed this in a recent 0.9-stable branch build, but not the latest, will try to determine exact build number and post here.

Related issues:

Is duplicate of Redmine - Defect #4701: Project tree structure is broken by d... Closed 2010-01-31

History

#1 - 2010-03-17 20:11 - Jean-Philippe Lang

I think it's similar to #4701 which was fixed in r3354 then backported to 0.9-stable in r3381 (before 0.9.2 release).

Please let me know the Redmine revision you're using.

#2 - 2010-05-11 02:08 - Kioma Aldecoa

This was in r3214.

Based on the description, this looks the same as #4701.  If you want to close this bug as a duplicate, I can reopen if I see the problem after upgrading

to a version after the fix for #4701.

#3 - 2010-07-11 19:59 - Jean-Baptiste Barth

- Status changed from New to Closed

- Affected version (unused) changed from devel to 0.9.1

- Resolution set to Fixed

- Affected version set to 0.9.1

Closing this one as suggested, you can reopen here or fill #4701 if it reappears with 0.9.6+.
